
body{ color: rgb(33, 79, 67);

background-color: rgb(33, 79, 67);
margin: 0;
padding: 0;
font-family: Arial, Helvetica, sans-serif;

margin: 0;
}

.pagina{
    border: solid 1px rgb(169, 169, 169);
    position: relative;
    width: 1440px;   
    margin: auto; 
    background:rgb(223, 181, 122);
}
header{
    height: 64px;
    border: solid 1px gray;
    border-width: 0 0 1px 0;
    background: rgb(17, 50, 41);
}
header ul{
    position:relative;
    margin: 0;
    padding: 0;
    text-align: center;
    height: 41px;
    
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}
header ul li{
    position:relative;
    display: inline;
    margin: 0;
    top: 0;
}

header a:link, header a:focus, header a:visited {
    position: relative;
    border: solid 1px rgb(219, 219, 219);
    border-width: 0 0 0 1px;
    padding: 10px 20px;
    background: rgb(45, 113, 94);
    text-decoration: none;
    color: antiquewhite;
    font-size: 0.8em;
    top: 10px;
}
header nav a:hover, header nav .active{
    background: rgb(131, 157, 131);
    color: antiquewhite;
}

header .Logo{
    position:absolute;
    height: 450px;
    
}

.imageHero{
    background-position: center;
    background-size: 100%;
    text-align: center;
    
    
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}


.imageHero div{
    font-size: 40px;
    color: #ffffff;
    font-weight: bold;
    
}

.imageHero span{
    font-size: 14px;
    color: #ffffff;
    
}

.imageHero a, .imageHero a:link{
    
    
    background-color: gray;
    color: #ffffff;
    padding: 10px 50px;
    text-decoration: none;
    border-radius: 10px;
}

.imageHero a:hover{
    border: solid 1px var(#ffffff);
}

.producto{    
    padding: 5px;
    background: gray;    
}

a.producto .descripcion{
    position: absolute;
    top: 45%;
    width: 90%;
    height: 128px;

    color: rgb(0, 0, 0);
    overflow-y: auto;
    padding: 5px;
    text-transform: capitalize;
}

a.producto .precio{
    position: absolute;
    bottom: 10px;
    height: 20px;
    width: 90%;
    text-align: center;

    color: rgb(17, 50, 41);
    font-weight:bold;
    font-size: 15px;
    
}

section{
    position: relative;
    min-height: 400px;
}

/*.container{ border: solid 1px pink; }*/

.container{
    height: 40vh;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;   
}
.item{ 
    border: solid 2px rgb(87, 224, 110);
    display: flex;
    align-items:center;
    justify-content: center;
    min-height: 100px;
    width: 100px ;    
}

section.productos{
    height: 50%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 4px;
}

.productos .producto{
    position: relative;
    border: solid 1px #aaa;
    background-color: #ffffff;
    border-radius: 10px;
    height: 300px;
    width: 200px;
}

a.producto:hover{ border-color: var(red);}

.productos .producto img{
    position: relative;
    display: block;
    margin: auto;
    width: 95%;
    max-height: 250px;
}

.producto .nombreProducto{
    position: absolute;
    top: 50%;
    width: 95%;
    height: 100px;
    text-align: center;
    font-size: 15px;
    margin: 0;
    padding: 5px;
    color: #aaa;
    background-color: darkgray;
    overflow: auto;
}

.producto:link span, .producto span{
    position: absolute;
    display: block;
    width: 80%;
    padding: 7px;
    border-radius: 10px;
    border: solid 1px var(gray);
    background-color: var(grid-area);
    bottom: 5px;
    left: 10px;
    text-align: center;
    text-decoration: none;
    color: var(#ffffff);
    display: none;
}

.producto:hover .botom{background-color: #aaa;}

.producto .precio{
    position: absolute;
    width: 90%;
    text-align: center;
    font-size: 17px;
    font-weight: bold;
    height: 25px;
    bottom: 4px;
    color: #aaa;
}

.pagina{border: solid 1px wheat}


.tienda header{border: solid 1px wheat;
    border-width: 0 0 1px 0 ;}
.tienda footer{border: solid 1px wheat;
    border-width: 1px 0 0 0 ;}
.tienda aside{border: solid 1px wheat;
    border-width: 0 1px 0 0;}


.tienda{
    display: grid;
    grid-template-areas: 
    "header header header header"
    "aside main main main"
    "footer footer footer footer"
    ;
   grid-template-columns: 200px 1fr 1fr 1fr;
}

.tienda header{grid-area: header;}
.tienda aside{grid-area: aside;}
.tienda main{grid-area: main;}
.tienda footer{grid-area: footer;}

.tienda aside ol{margin: 0; padding: 0;}
.tienda aside ol li{
    position: relative;
    display: block;
    padding-left: 3px;
}

.tienda aside a, .tienda aside a:link{
    position: relative;
    display: block;
    padding: 5px;
    border: solid 1px rgb(33, 79, 67);
    border-width: 0 0 1px 0;
    text-decoration: none;
    color: rgb(33, 79, 67);
}

footer{
    position: relative;
    display: grid;
    grid-template-areas: 
    "marca contacto mapaSitio"
    "autor autor autor"
    ;
    grid-template-columns: 1fr 1fr 1fr;
}

footer{
    border-top: 1px solid wheat;
    background-color: #c0c0c0;
    font-size: 12px;
}
footer .marca{grid-area: marca;}
footer .contacto{grid-area: contacto;}
footer .mapaSitio{grid-area: mapaSitio;}
footer .autor{ grid-area: autor;}


footer .marca{text-align: center;}
footer .contacto{border-left: 1px solid;padding: 10px;}
footer .mapaSitio{border-left: 1px solid;padding: 10px;}
footer .autor{
    border-top: 1px solid;
    padding: 10px;
    text-align: right;
    color: white;
}

footer a, footer a:link{
    text-decoration: none;
    color: gray;
}

.Block-red{
    width: 200px;
    height: 50px;
    padding: 10px;
    border: solid 1px fuchsia;
    background: linear-gradient(#ccc, #00f);
    position: relative;
}

.Block-blue{
    width: 200px;
    height: 50px;
    padding: 10px;
    border: solid 1px fuchsia;
    background: linear-gradient(#ccc, #f00);
    position: relative;
}